logo

Could not compile stylesheet for simplistic. Using last compiled stylesheet.

How To Get U-Boot Back?

posted in Uncategorized
Wednesday, February 01 2012, 06:28 PM
suwalski
suwalski
Offline
0
With the latest update, IGEP has removed u-boot and replaced it with a new Xloader that loads the kernel directly. This is bad. I need the old u-boot to be able to interrupt the autoboot and change the kernel and NFS boot parameters. The release notes only said there is new kernel 2.6.37, nothing about u-boot being removed! How do I get the old xloader and u-boot back? All of the information in the wiki seems out of date. It mentions mtd0->mtd4, I only have mtd0->mtd2. How does isee suggest booting the new software with the SDK VM?
Responses (5)
  • Accepted Answer

    Tuesday, March 13 2012, 09:14 PM - #permalink
    0
    I am also interested in the answer to this question. There is a mix of information on the website. I have used Poky $ cd poky/ $ git checkout origin/release/purple -b release/purple to build the poky-image-minimal rootfs, but that builds an uImage kernel for the u-boot, amd that kernel image format can\\\'t be used to boot with current x-loader.
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, March 15 2012, 10:17 AM - #permalink
    0
    Hi aicastell, Is better use master branch instead of purple branch which has support for zImage. The IGEP-X-loader also can launch u-boot binary, please see the ISEE_README.txt in IGEP-X-loader tree. The SDK VM is quite obsolete and needs to be updated.
    The reply is currently minimized Show
  • Accepted Answer

    Thursday, March 15 2012, 07:15 PM - #permalink
    0
    Hello eballetbo. This document: [url=http://labs.igep.es/index.php/How_to_setup_a_development_environment]http://labs.igep.es/index.php/How_to_se ... nvironment[/url] talks about the \\\'poky-purple\\\' branch, but because it is not updated for the \\\'master\\\' branch, I have some questions related. Fisrt, following your recommendation, I did a checkout of the \\\'master\\\' branch. After that, I have symlinked this Poky configuration file: $ cd poky/build/conf $ ln -fs ../../meta/conf/machine/igep00x0.conf local.conf Then, I tryied to build a poky-image-minimal, but I got this error: $ bitbake poky-image-minimal FATAL: Poky\\\'s config sanity checker detected a potential misconfiguration. Either fix the cause of this error or at your own risk disable the checker (see sanity.conf). Following is the list of potential problems / advisories: Please set TARGET_OS directly, or choose a MACHINE or DISTRO that does so. Poky has noticed your version of local.conf was generated from an older version of local.conf.sample and there have been updates made to this file. Please compare the two files and merge any changes before continuing. Matching the version numbers will remove this message. \\\"meld conf/local.conf conf/local.conf.sample\\\" is a good way to visualise the changes. DISTRO \\\'None\\\' not found. Please set a valid DISTRO in your local.conf Is this igep00x0.conf the proper Poky configuration file? Or do I have to copy/paste the config file you talk in the How_to_setup_a_development_environment link? Or maybe I have to use a different/new configuration file to setup Poky for the new X-Loader configuration? Thanks a lot in advance!
    The reply is currently minimized Show
  • Accepted Answer

    ram.ru
    ram.ru
    Offline
    Friday, March 23 2012, 07:14 PM - #permalink
    0
    Does anyone have an updated SDK VM which he or she could upload?
    The reply is currently minimized Show
  • Accepted Answer

    mcaro
    mcaro
    Offline
    Saturday, March 24 2012, 11:27 AM - #permalink
    0
    Hi, we\\\'re working on it ... Manel
    The reply is currently minimized Show
Your Reply

SUPPORT


This email address is being protected from spambots. You need JavaScript enabled to view it.
This email address is being protected from spambots. You need JavaScript enabled to view it.
IGEP Community Wiki
IGEP Community Forum
IGEP Community Online Chat